Bug 4536 - Incorrect error message.
: Incorrect error message.
Status: RESOLVED FIXED
: C WS Core
C WSRF core
: 4.0.2
: PC Linux
: P3 normal
: 4.0.3
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-06-19 10:36 by
Modified: 2006-07-07 08:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-06-19 10:36:33
I came accross the following incorrect error message:

Expected Action element:
http://www.globus.org/namespaces/2004/10/gram/job/createManagedJobResponse
             But received:
http://www.globus.org/namespaces/2004/10/gram/job/createManagedJobResponse

I traced this to
wsrf/c/handlers/addressing/source/globus_handler_ws_addressing.c and fixed it
with the following patch:

Index: globus_handler_ws_addressing.c
===================================================================
RCS file:
/home/globdev/CVS/globus-packages/wsrf/c/handlers/addressing/source/globus_handler_ws_addressing.c,v
retrieving revision 1.28.2.3
diff -u -r1.28.2.3 globus_handler_ws_addressing.c
--- globus_handler_ws_addressing.c      17 Jun 2005 18:26:58 -0000     
1.28.2.3
+++ globus_handler_ws_addressing.c      19 Jun 2006 15:33:01 -0000
@@ -729,7 +729,7 @@
             ("\nExpected Action element: %s"
              "\n             But received: %s",
              (value.base_value ? value.base_value : "(null)"),
-             value.base_value));
+             response_action));
         goto Action_destroy;
     }
------- Comment #1 From 2006-06-19 10:43:01 -------
Actually, I think the following patch is the correct one:

Index: globus_handler_ws_addressing.c
===================================================================
RCS file:
/home/globdev/CVS/globus-packages/wsrf/c/handlers/addressing/source/globus_handler_ws_addressing.c,v
retrieving revision 1.28.2.3
diff -u -r1.28.2.3 globus_handler_ws_addressing.c
--- globus_handler_ws_addressing.c      17 Jun 2005 18:26:58 -0000     
1.28.2.3
+++ globus_handler_ws_addressing.c      19 Jun 2006 15:42:01 -0000
@@ -728,7 +728,7 @@
             GLOBUS_SUCCESS,
             ("\nExpected Action element: %s"
              "\n             But received: %s",
-             (value.base_value ? value.base_value : "(null)"),
+             (response_action ? response_action : "(null)"),
              value.base_value));
         goto Action_destroy;
     }
------- Comment #2 From 2006-07-07 08:26:09 -------
Fix committed to 4.0 and trunk.